Name:           gtranslator
Version:        1.1.7
Release:        7%{?dist}

Summary:        Gettext po file editor for GNOME

Group:          Development/Tools
License:        GPL
URL:            http://gtranslator.sourceforge.net
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtranslator/1.1/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-scrollkeeper-rarian.patch
Patch1:         %{name}-%{version}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scrollkeeper
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libgnomeui-devel
BuildRequires:  gtkspell-devel
BuildRequires:  perl(XML::Parser)

Requires:       yelp
Requires:       which
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
features many comfortable everyday usage features like find and
replace functions, auto translation, and translation learning,


%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper/
mv $RPM_BUILD_ROOT%{_datadir}/gtranslator/scripts/my-update.sh $RPM_BUILD_ROOT%{_bindir}/gtranslator-update
mv $RPM_BUILD_ROOT%{_datadir}/gtranslator/scripts/cleanup-gtranslator-settings.sh $RPM_BUILD_ROOT%{_bindir}/gtranslator-cleanup-settings
mv $RPM_BUILD_ROOT%{_datadir}/gtranslator/scripts/build-gtranslator-learn-buffer.sh $RPM_BUILD_ROOT%{_bindir}/gtranslator-build-learn-buffer
rmdir $RPM_BUILD_ROOT%{_datadir}/gtranslator/scripts

ln doc/UMTF/ChangeLog ChangeLog.UMTF

%clean
rm -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update -q || :

%postun
scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
%doc doc/UMTF/README.UMTF ChangeLog.UMTF doc/UMTF/example.xml
%{_bindir}/*
%{_datadir}/gnome/help/gtranslator
%{_datadir}/applications/*.desktop
%{_datadir}/gtranslator
%{_datadir}/mime-info/*
%{_datadir}/omf/gtranslator
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/gtranslator
%{_mandir}/man?/*


%changelog
* Tue Oct 23 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-7
- Add patch to fix scrollkeeper configure issue
* Tue Oct 02 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-5
- Add missing dependency on which
* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.1.7-4
- Bump release for upgrade path

* Fri Jun 08 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-3
- Add yelp dependency, closes #243401
* Tue Feb 13 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-2
- Rebuild 

* Mon Jan 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-1
- Take over ownership of package
- Update to 1.1.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-3
- Rebuild for Fedora Extras 5

* Mon Jan 16 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-2
- Add %{?dist} tag
- Rebuild

* Thu May 12 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 1.1.6-1
- Updated to 1.1.6
- Remove build patch as it's no longer needed

* Wed May 11 2005 Josh Boyer <jwboyer@jdub.homelinux.org>
- Added build fix

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jun  2 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.1.5-0.fdr.1
- Updated to 1.1.5.

* Thu Apr 22 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.0.2-0.fdr.1
- Updated to 1.0.2.
- Added README.UMTF, ChangeLog.UMTF and example.xml as doc.
- Added BuildReq desktop-file-utils, gettext, postun req scrollkeeper.
- Brought in line with current spec template.

* Wed Dec 10 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0:1.0-0.fdr.1
- First Fedoraized release

* Thu Sep 04 2003 Dag Wieers <dag@wieers.com> - 1.0-1
- Updated to release 1.0.
